### Method

# Gck Object get_template

#### Declaration [src]

    GckAttributes*
    gck_object_get_template (
      GckObject* self,
      gulong attr_type,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Get an attribute template from the object. The attr_type must be for an attribute which returns a template.

This call may block for an indefinite period.

#### Parameters

`attr_type` | `gulong`
| The template attribute type.
`cancellable` | `GCancellable`
| Optional cancellation object, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GckAttributes`
| The resulting PKCS#11 attribute template, or `NULL` if an error occurred.
| The caller of the method takes ownership of the data, and is responsible for freeing it.